<bugID>1225780<Summary>[MAC] Browser_set_ default_error histogram is true while setting Firefox as default browser</Summary><Description>Reproducible on: Firefox 45.0a1, Firefox 44.0a2 and Firefox 43 beta 4 under Mac 

STR
1.Launch Firefox with a clean profile. (the default dialog is not displayed for the first run) 
2.Restart the browser.
3.Click on &#8220;Use Nightly as my default browser&#8221; button from default browser dialog. 
4.Click on &#8220;Use Nightly&#8221; button from Mac confirmation default browser window. http://i.imgur.com/ZuE2Npk.jpg
5.Go to about:telemetry -&gt; Histograms.
6.Type &#8220;browser_&#8221; in the filter bar.


ER
[1] BROWSER_IS_USER_DEFAULT is true.
[2] BROWSER_SET_DEFAULT_ERROR is false.
[3] BROWSER_SET_DEFAULT_TIME_TO_COMPLETION_SECONDS histogram is displayed.
See attached screenshot: http://i.imgur.com/SLRvDYQ.png


AR
[1] BROWSER_IS_USER_DEFAULT is false.
[2] BROWSER_SET_DEFAULT_ERROR is true.
[3] BROWSER_SET_DEFAULT_TIME_TO_COMPLETION_SECONDS histogram is not displayed.


Additional notes:
- This issue is reproducible on Firefox 45.0a1 (2015-11-17), Firefox 44.0a2 (2015-11-17) and Firefox 43 beta 4 under Mac OS X 10.10.5 and 10.11.1.
- This issue is not reproducible on Windows and Ubuntu.</Description></bugID>